Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Class CompositeAddressProvider.AddressIterator

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractStableIterator
com.tangosol.net.CompositeAddressProvider.AddressIterator`

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  CompositeAddressProvider

      protected static class CompositeAddressProvider.AddressIterator

extends AbstractStableIterator

An Iterator over the addresses in this AddressProvider. The Iterator represents a "snapshot" of the AddressProvider's addresses and may not reflect any concurrent updates to the underlying AddressProvider(s).

Field Summary
`protected java.util.Iterator` | `m_iterAddress` The iterator of Addresses from the current provider.
`protected java.util.Iterator` | `m_iterProvider` The iterator of AddressProviders.
`protected AddressProvider` | `m_providerCurrent` The current AddressProvider.

Constructor Summary
`protected` | `CompositeAddressProvider.AddressIterator(java.util.List listProvider)`

Method Summary
`protected void` | `advance()` Advance to the next object.
`protected AddressProvider` | `getCurrentProvider()` Return the current AddressProvider.
`void` | `remove(java.lang.Object oPrev)` Remove the specified item.

Methods inherited from class com.tangosol.util.AbstractStableIterator
`getPrevious, hasNext, next, remove, setNext`

Field Detail

### m_providerCurrent

    protected AddressProvider m_providerCurrent

  The current AddressProvider.

### m_iterAddress

    protected java.util.Iterator m_iterAddress

  The iterator of Addresses from the current provider.

### m_iterProvider

    protected java.util.Iterator m_iterProvider

  The iterator of AddressProviders.

Constructor Detail

### CompositeAddressProvider.AddressIterator

    protected CompositeAddressProvider.AddressIterator(java.util.List listProvider)

Method Detail

### advance

    protected void advance()

  Advance to the next object. This method must be implemented by the concrete sub-class by calling `AbstractStableIterator.setNext(java.lang.Object)` if there is a next object.
  Specified by:
    `advance` in class `AbstractStableIterator`

### remove

    public void remove(java.lang.Object oPrev)

  Remove the specified item. This is an optional operation. If the Iterator supports element removal, then it should implement this method, which is delegated to by the `AbstractStableIterator.remove()` method.
  Overrides:
    `remove` in class `AbstractStableIterator`
  Parameters:
    `oPrev` - the previously iterated object that should be removed

### getCurrentProvider

    protected AddressProvider getCurrentProvider()

  Return the current AddressProvider.
  Returns:
    the current AddressProvider

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.